Gentoo Archives: gentoo-commits

From: Hans de Graaff <graaff@g.o>
To: gentoo-commits@l.g.o
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-ruby/asciidoctor-diagram/
Date: Thu, 31 Jan 2019 07:36:02
Message-Id: 1548920087.1553809ca134875c51517e0ba89e723d67ef321d.graaff@gentoo
commit:     1553809ca134875c51517e0ba89e723d67ef321d
Author:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Thu Jan 31 06:12:38 2019 +0000
Commit:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Thu Jan 31 07:34:47 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=1553809c

dev-ruby/asciidoctor-diagram: add 1.5.13

Signed-off-by: Hans de Graaff <graaff <AT> gentoo.org>
Package-Manager: Portage-2.3.51, Repoman-2.3.11

 dev-ruby/asciidoctor-diagram/Manifest              |  1 +
 .../asciidoctor-diagram-1.5.13.ebuild              | 38 ++++++++++++++++++++++
 2 files changed, 39 insertions(+)

diff --git a/dev-ruby/asciidoctor-diagram/Manifest b/dev-ruby/asciidoctor-diagram/Manifest
index f181b304f01..b312b3d40c2 100644
--- a/dev-ruby/asciidoctor-diagram/Manifest
+++ b/dev-ruby/asciidoctor-diagram/Manifest
@@ -1,4 +1,5 @@
 DIST asciidoctor-diagram-1.5.10.tar.gz 10441267 BLAKE2B e5adfa51ecdf966d471c9adb8ee6a99e5a208b4934646a1f0d672fd29b69cf59eefdee90444b0b99ff3c91172c99b9f41768ad7f4edf7ec203416c47b46d7e88 SHA512 fcf76d71d0b9d58dc5a01aa484faa663f636ff36f534c43621a71702032d1f49a04189d0ffaff8b0fdc2f189d54ce7392f74e1b0f29128fc3180e48d35bed5b1
 DIST asciidoctor-diagram-1.5.11.tar.gz 10441331 BLAKE2B ac1df387a4a55701fa86b336b88f3f389cbe20dcb806baf744fe041db24035f7238124677685e1c79bc1df3747c1fddb6abdfae7a981bf0703897ad868aedb04 SHA512 f3e46b0befa6a104f5dc4732bfaca006bd52be4c919bebcea4692037ed444cfdc1c73a1ae00d08989847e6ce1cd42d8d3ca3964dbd5817b22c7332bb895a6b5c
 DIST asciidoctor-diagram-1.5.12.tar.gz 11262551 BLAKE2B 08ecd3c1b7814b253e6be11d423e0e95e12d8e1097f54b09ae3a5935d94349f9ff2c40d58666895429be5ec058bd797aad38516a0c5bb292866dbbf23f857d9a SHA512 89c4aa836e554ea69ae204406fa36f25ebae12cf98acf7b96bcf96f548bdcb4d2503e671aeb419f8b5d96441564e572b714e2f9a3017c4942d139977a148bf5b
+DIST asciidoctor-diagram-1.5.13.tar.gz 11264430 BLAKE2B b5ce1946635bf24e45d8bdd264a3e924b9c876e28d42efce388e60c85e143c9267971eb2dbffe9ceb9af4770162dc1c29538291ff24b59db5fad382811810972 SHA512 9a51b69af6b60bcf7e6daa1be3965ca4497fef7e8ec04461380c51494b5c4aaba35a6e62bfe88281b8d54c8340b34b6cc739da021cfa6f7d9f528802347a02e4
 DIST asciidoctor-diagram-1.5.9.tar.gz 10250161 BLAKE2B ebeb184259042a9088c5a8f6c5afc86a69f6fcea62964ac2f571f21b6b2b382cdf2cad8abc1e99ca781b4663da956982f1a5d418126089b17bac0e68bdce0fea SHA512 b25f5c2b8ddfc2b9bdc26ef47b5a2ae8d28992ac26f70ccc4c9046a45e9338b5ed2b82cccb0f01dd44155e043b620410b468ef6b12dfe03ae20a67e4d109be05

diff --git a/dev-ruby/asciidoctor-diagram/asciidoctor-diagram-1.5.13.ebuild b/dev-ruby/asciidoctor-diagram/asciidoctor-diagram-1.5.13.ebuild
new file mode 100644
index 00000000000..7b321aab14a
--- /dev/null
+++ b/dev-ruby/asciidoctor-diagram/asciidoctor-diagram-1.5.13.ebuild
@@ -0,0 +1,38 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+USE_RUBY="ruby23 ruby24 ruby25"
+
+RUBY_FAKEGEM_RECIPE_TEST="rspec3"
+
+RUBY_FAKEGEM_RECIPE_DOC="rdoc"
+RUBY_FAKEGEM_EXTRADOC="CHANGELOG.adoc LICENSE.txt README.adoc"
+
+RUBY_FAKEGEM_GEMSPEC="${PN}.gemspec"
+
+inherit multilib ruby-fakegem
+
+DESCRIPTION="A set of Asciidoctor extensions that enable you to add diagrams"
+HOMEPAGE="https://github.com/asciidoctor/asciidoctor-diagram"
+SRC_URI="https://github.com/asciidoctor/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE=""
+
+ruby_add_rdepend "=dev-ruby/asciidoctor-1.5*"
+
+all_ruby_prepare() {
+	rm Gemfile || die
+	sed -i -e '/c.formatter/ s:^:#:' spec/test_helper.rb || die
+
+	# Avoid specs for unpackaged tools
+	rm -f spec/{a2s,blockdiag,erd,mermaid,msc,shaape,svgbob,syntrax,umlet,vega,wavedrom}_spec.rb || die
+}
+
+all_ruby_install() {
+	all_fakegem_install
+}